std::gslice Class Reference
Numerics » Numeric Arrays

`#include <gslice.h>`

## Public Member Functions

| gslice ()
| gslice (const gslice &)
| gslice (size_t __o, const valarray< size_t > &__l, const valarray< size_t > &__s)
| ~gslice ()
gslice & | operator= (const gslice &)
valarray< size_t > | size () const
size_t | start () const
valarray< size_t > | stride () const

## Friends

template<typename _Tp>
class | valarray

## Detailed Description

Class defining multi-dimensional subset of an array.

The slice class represents a multi-dimensional subset of an array, specified by three parameter sets: start offset, size array, and stride array. The start offset is the index of the first element of the array that is part of the subset. The size and stride array describe each dimension of the slice. Size is the number of elements in that dimension, and stride is the distance in the array between successive elements in that dimension. Each dimension's size and stride is taken to begin at an array element described by the previous dimension. The size array and stride array must be the same size.

For example, if you have offset==3, stride[0]==11, size[1]==3, stride[1]==3, then slice[0,0]==array[3], slice[0,1]==array[6], slice[0,2]==array[9], slice[1,0]==array[14], slice[1,1]==array[17], slice[1,2]==array[20].

Definition at line 64 of file gslice.h.

## Friends And Related Symbol Documentation

## valarray

template<typename _Tp>

friend class valarray

friend

Definition at line 131 of file gslice.h.

The documentation for this class was generated from the following file:

- gslice.h